<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>check_bigint</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="bigint_x_s.html">&lt;&lt; bigint_x_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_0.html">bigint_0 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a> &gt; check_bigint</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">check_bigint</h1>
    <p class="refpurpose">bigint basics</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x:</span>
            <dd><p class="para">bigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">check bigint structure, if not returns error. Always ends yours macros returning a &#0034;bigint&#0034; z  with the command z=check_bigint(z) this will return a normalized form for z.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">-1234567890</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">check_bigint</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// OK</span>
<span class="scilabid">x</span><span class="scilaboperator">.</span><span class="scilabfield">signe</span><span class="scilaboperator">=</span><span class="scilabconstants">%pi</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">check_bigint</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// error</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">0</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">.</span><span class="scilabfield">signe</span><span class="scilaboperator">=</span><span class="scilaboperator">-</span><span class="scilabnumber">1</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">check_bigint</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// change signe to +</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li>
   <li class="member"><a href="check_mbigint.html" class="link">check_mbigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="bigint_x_s.html">&lt;&lt; bigint_x_s</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_45e0f2d33e387feb1d15bb9b74c0c25a.html">bigint</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="percentbigint_0.html">bigint_0 &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
